com.google.cloud.spanner.jdbc

## Class JdbcSqlExceptionFactory.JdbcAbortedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - com.google.cloud.spanner.jdbc.JdbcSqlExceptionFactory.JdbcSqlExceptionImpl
        - - com.google.cloud.spanner.jdbc.JdbcSqlExceptionFactory.JdbcAbortedException

All Implemented Interfaces:
  JdbcSqlException, Serializable, Iterable<Throwable>

Direct Known Subclasses:
  JdbcSqlExceptionFactory.JdbcAbortedDueToConcurrentModificationException

Enclosing class:
  JdbcSqlExceptionFactory

    public static class JdbcSqlExceptionFactory.JdbcAbortedException
    extends JdbcSqlExceptionFactory.JdbcSqlExceptionImpl

Specific `SQLException` that is thrown when a transaction was aborted and could not be successfully retried.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`AbortedException` `getCause()`

### Methods inherited from class com.google.cloud.spanner.jdbc.JdbcSqlExceptionFactory.JdbcSqlExceptionImpl

`getCode`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.cloud.spanner.jdbc.JdbcSqlException

`getErrorCode, getMessage, getSQLState`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### getCause

    public AbortedException getCause()

Specified by:
  `getCause` in interface `JdbcSqlException`
Overrides:
  `getCause` in class `Throwable`
See Also:
  `Throwable.getCause()`